Bug 535555 - (RHQ-2238) Database "test" in installer is not clean and can thus lead to confusion..
Database "test" in installer is not clean and can thus lead to confusion..
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
1.3pre
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-07-14 12:07 EDT by Corey Welton
Modified: 2014-05-02 13:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 13:51:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2009-07-14 12:07:00 EDT
If user omits port # in database connection string, the test still "goes green" - but the install will fail with a particularly terse error message.  It appears that the test is assuming a port of 5432, but the install itself does not.  If user enters an otherwise invalid port #, such as "999", test will appropriately fail.  It only seems to assume a port of 5432 if none is specified.



Repro steps:
1. begin installation of server with the assumption that you'll be using an external postgres db., i.e., a db that is not on this box.
2. Replace the default Database Connection URL ("jdbc:postgresql://127.0.0.1:5432/rhq") with a string akin to "jdbc:postgresql://foobar.example.com/rhq".  Note that you have "forgotten" to replace the port #
3. Click the "Test Connection" button.
4. Noting that the test returns green, Choose to install (and/or overwrite/keep data, if applicable)
5. Submit.

Current results:
* Test goes green
* Install fails with a cryptic message:
 Could not save the settings for some reason.
Error
Could not save the settings for some reason.

Expected results:
* Test should fail - test should use exact data as entered in the fields from install.  
* Error message should be useful.

Comment 1 John Mazzitelli 2009-07-14 12:15:53 EDT
what's the server log say? probably has more specific error messages.

Not putting a port in the URL is probably OK from the JDBC driver point of view - the JDBC driver itself will assume a default (in the postgres driver, it probably defaults to 5432) - in the similar manner that "http://host" will force browsers to default to port 80.
Comment 2 Red Hat Bugzilla 2009-11-10 16:00:34 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2238
Comment 3 wes hayutin 2010-02-16 11:57:08 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 12:02:10 EST
making sure we're not missing any bugs in rhq_triage

Note You need to log in before you can comment on or make changes to this bug.